# Most Recently Updated WHOIS First

Sorts by the update date the registry reports in WHOIS.

Source: https://docs.deepinfo.com/reference/discovery/domain-search/examples/most-recently-updated-whois-first/

Last updated: 2026-09-26

---
`POST https://api.deepinfo.com/v1/discovery/domain-search?page_size=25`

Example 5 of 9 in **Combinations › Sorting** · [Domain Search Examples](/reference/discovery/domain-search/examples/) · endpoint: [Domain Search](/reference/discovery/domain-search/)

Tags: `field` `domain.whois.registrar` · `operator` `eq` · `logic` `must` · `sort` `domain.whois.update_date` · `order` `desc`

Sorts by the update date the registry reports in WHOIS.

## Request

| Parameter | In | Value |
|---|---|---|
| `page_size` | query | `25` |
| `filters.must[0].name` | body | `domain.whois.registrar` |
| `filters.must[0].type` | body | `eq` |
| `filters.must[0].value` | body | `godaddy.com, llc` |
| `sort[0].field` | body | `domain.whois.update_date` |
| `sort[0].order` | body | `desc` |

```bash
curl -X POST 'https://api.deepinfo.com/v1/discovery/domain-search?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "must": [
      {
        "name": "domain.whois.registrar",
        "type": "eq",
        "value": "godaddy.com, llc"
      }
    ]
  },
  "sort": [
    {
      "field": "domain.whois.update_date",
      "order": "desc"
    }
  ]
}'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 25 shown

`Content-Type: application/json` · `ratelimit-limit: 1000` · `ratelimit-remaining: 999` · `ratelimit-reset: 1` · `x-ratelimit-limit-hour: 100000` · `x-ratelimit-limit-minute: 10000` · `x-ratelimit-limit-second: 1000` · `x-ratelimit-remaining-hour: 99830` · `x-ratelimit-remaining-minute: 9981` · `x-ratelimit-remaining-second: 999` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 232905144,
  "results": [
    {
      "punycode": "flowhubsystems.com",
      "unicode": "flowhubsystems.com",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "flowhubsystems",
        "unicode": "flowhubsystems",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 14,
        "lang": "en",
        "keywords": [
          "flow",
          "hub",
          "systems"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "flowhubsystems.com",
        "unicode": "flowhubsystems.com",
        "is_idn": false,
        "name": {
          "punycode": "flowhubsystems",
          "unicode": "flowhubsystems",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 14,
          "lang": "en",
          "keywords": [
            "flow",
            "hub",
            "systems"
          ],
          "keyword_count": 3
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2026-09-23T14:06:41Z",
          "update_date": "2026-09-23T14:53:34Z",
          "expiry_date": "2027-09-23T14:06:41Z",
          "registrar": "godaddy.com, llc",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns1.nameserverservice.com",
            "ns2.nameserverservice.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clientrenewprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": "whois.godaddy.com",
          "check_date": "2026-09-23T14:56:08Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-09-23T14:56:08Z",
        "whois_create_date_historical": [
          "2026-09-23T14:06:41Z"
        ],
        "whois_last_change_date": "2026-09-23T14:59:33Z",
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": null,
        "dns_last_change_date": null,
        "ip_history": [],
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": null,
      "dns_last_change_date": null,
      "ip_history": [],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": null
    },
    {
      "punycode": "admontclair.com",
      "unicode": "admontclair.com",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "admontclair",
        "unicode": "admontclair",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 11,
        "lang": "en",
        "keywords": [
          "ad",
          "montclair"
        ],
        "keyword_count": 2,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "admontclair.com",
        "unicode": "admontclair.com",
        "is_idn": false,
        "name": {
          "punycode": "admontclair",
          "unicode": "admontclair",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 11,
          "lang": "en",
          "keywords": [
            "ad",
            "montclair"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2026-09-23T14:11:53Z",
          "update_date": "2026-09-23T14:51:41Z",
          "expiry_date": "2027-09-23T14:11:53Z",
          "registrar": "godaddy.com, llc",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "dns1.p04.nsone.net",
            "dns2.p04.nsone.net",
            "dns3.p04.nsone.net",
            "dns4.p04.nsone.net"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clientrenewprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": "whois.godaddy.com",
          "check_date": "2026-09-23T14:56:03Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-09-23T14:56:03Z",
        "whois_create_date_historical": [
          "2026-09-23T14:11:53Z"
        ],
        "whois_last_change_date": "2026-09-23T14:59:10Z",
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": null,
        "dns_last_change_date": null,
        "ip_history": [],
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": null,
      "dns_last_change_date": null,
      "ip_history": [],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": null
    },
    {
      "punycode": "paotungwd.com",
      "unicode": "paotungwd.com",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "paotungwd",
        "unicode": "paotungwd",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 9,
        "lang": "en",
        "keywords": [
          "pao",
          "tung",
          "wd"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "paotungwd.com",
        "unicode": "paotungwd.com",
        "is_idn": false,
        "name": {
          "punycode": "paotungwd",
          "unicode": "paotungwd",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 9,
          "lang": "en",
          "keywords": [
            "pao",
            "tung",
            "wd"
          ],
          "keyword_count": 3
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2026-09-23T14:16:46Z",
          "update_date": "2026-09-23T14:47:58Z",
          "expiry_date": "2027-09-23T14:16:46Z",
          "registrar": "godaddy.com, llc",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "jermaine.ns.cloudflare.com",
            "sydney.ns.cloudflare.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clientrenewprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": "whois.godaddy.com",
          "check_date": "2026-09-23T14:53:45Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-09-23T14:53:45Z",
        "whois_create_date_historical": [
          "2026-09-23T14:16:46Z"
        ],
        "whois_last_change_date": "2026-09-23T14:57:50Z",
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": null,
        "dns_last_change_date": null,
        "ip_history": [],
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": null,
      "dns_last_change_date": null,
      "ip_history": [],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": null
    }
  ]
}
```

## Related Examples

- [Exists False: Domains Without a Registrar](/reference/discovery/domain-search/examples/exists-false-domains-without-a-registrar/)
- [Latest WHOIS Changes First](/reference/discovery/domain-search/examples/latest-whois-changes-first/)
- [Newest Registrations First](/reference/discovery/domain-search/examples/newest-registrations-first/)
- [Latest Certificate Changes First](/reference/discovery/domain-search/examples/latest-certificate-changes-first/)
- [Sort by Two Fields](/reference/discovery/domain-search/examples/sort-by-two-fields/)
- [Latest DNS Changes First](/reference/discovery/domain-search/examples/latest-dns-changes-first/)
